//priority: 3

//Adds various TFC data values for various items.

TFCEvents.data(event => {

    event.itemHeat('minecraft:anvil', 3.057, null, 1128)
    event.itemHeat('minecraft:chipped_anvil', 3.057, null, 1128)
    event.itemHeat('minecraft:damaged_anvil', 3.057, null, 1128)

    event.itemHeat("ironchests:key", 0.8, null, null)
    event.itemHeat("ironchests:key_ring", 2.0, null, null)
    event.itemHeat("ironchests:lock", 1.0, null, null)
    event.itemHeat("ironchests:iron_dolly", 3.057, null, null)
    event.itemHeat("tfc:metal/bucket/blue_steel", 2.0, 1000, 1200)
    event.itemHeat("tfc:metal/bucket/red_steel", 2.0, 1000, 1200)

    event.lampFuel('immersiveengineering:creosote', '#tfc:lamps', 6000)

    function nuggetheats(input) {
        event.itemHeat(input, 0.4, null, null)
    }
    nuggetheats('minecraft:gold_nugget')
    nuggetheats('immersiveengineering:nugget_lead')
    nuggetheats('immersiveengineering:nugget_silver')
    nuggetheats('immersiveengineering:nugget_electrum')
    nuggetheats('immersiveengineering:nugget_constantan')
    nuggetheats('immersiveengineering:nugget_copper')
    nuggetheats('antiquelegacy:tin_nugget')
    nuggetheats('immersiveengineering:nugget_nickel')
    nuggetheats('immersiveengineering:nugget_uranium')
    nuggetheats('immersiveengineering:nugget_aluminum')

    //Hot rocks!
    event.itemHeat('#rnr:loose_rock_items', 3.0, null, null)

    //Ore powders
    $ores.forEach((ore) => {
        event.itemHeat(`tfc:powder/${ore}`, 0.8, null, null)
    })
    event.itemHeat('tfc_ie_addon:powder/bauxite', 0.8, null, null)
    event.itemHeat('tfc_ie_addon:powder/galena', 0.8, null, null)
    event.itemHeat('tfc_ie_addon:powder/uraninite', 0.8, null, null)
    event.itemHeat('minecraft:bricks', 2.0, null, null)
    

    //support 
    event.support('immersiveengineering:steel_post', 2, 2, 15)
    event.support('immersiveengineering:alu_post', 2, 2, 5)
  event.support('immersiveengineering:treated_post', 2, 2, 7) 
    event.support('immersiveengineering:balloon', 5, 0, 2)
})
  
